Bug 1419668 - SELinux is preventing /usr/bin/python3.4 from 'execute' accesses on the file /usr/sbin/ldconfig.
Summary: SELinux is preventing /usr/bin/python3.4 from 'execute' accesses on the file ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4e1402f1aaf6a7492bec8d5732a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 17:18 UTC by Mario García
Modified: 2017-12-12 10:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:28:25 UTC
Type: ---


Attachments (Terms of Use)

Description Mario García 2017-02-06 17:18:40 UTC
Description of problem:
SELinux is preventing /usr/bin/python3.4 from 'execute' accesses on the file /usr/sbin/ldconfig.

*****  Plugin catchall (100. confidence) suggests   **************************

If cree que de manera predeterminada, python3.4 debería permitir acceso execute sobre ldconfig file.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
allow this access for now by executing:
# ausearch -c 'SetroubleshootF' --raw | audit2allow -M my-SetroubleshootF
# semodule -X 300 -i my-SetroubleshootF.pp

Additional Information:
Source Context                system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.
                              c1023
Target Context                system_u:object_r:ldconfig_exec_t:s0
Target Objects                /usr/sbin/ldconfig [ file ]
Source                        SetroubleshootF
Source Path                   /usr/bin/python3.4
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python3-3.4.3-5.fc23.x86_64
Target RPM Packages           glibc-2.22-6.fc23.x86_64
Policy RPM                    selinux-policy-3.13.1-158.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.8-300.fc23.x86_64 #1 SMP Tue
                              Dec 15 16:49:06 UTC 2015 x86_64 x86_64
Alert Count                   2
First Seen                    2015-12-28 22:35:01 COT
Last Seen                     2015-12-28 22:35:01 COT
Local ID                      15219324-f310-4994-8461-eaea8915217f

Raw Audit Messages
type=AVC msg=audit(1451360101.650:1171): avc:  denied  { execute } for  pid=10671 comm="SetroubleshootF" name="ldconfig" dev="sda4" ino=2683872 scontext=system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ldconfig_exec_t:s0 tclass=file permissive=0


type=SYSCALL msg=audit(1451360101.650:1171): arch=x86_64 syscall=execve success=no exit=EACCES a0=55d5187103f0 a1=55d51873dae0 a2=55d5186e5b90 a3=0 items=0 ppid=10669 pid=10671 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=SetroubleshootF exe=/usr/bin/python3.4 subj=system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.c1023 key=(null)

Hash: SetroubleshootF,setroubleshoot_fixit_t,ldconfig_exec_t,file,execute

Version-Release number of selected component:
selinux-policy-3.13.1-158.fc23.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.9.7-201.fc25.x86_64
type:           libreport

Potential duplicate: bug 1278982

Comment 1 Fedora End Of Life 2017-11-16 18:41:45 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:28:25 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.